<?php

/**
 * Add information meta.
 *
 * @package Goblog Free
 * @subpackage Goblog Free
 * @since Goblog Free 1.0
 */


/**
 * Add meta property information for title.
 */
function goblog_free_meta_title()
{
    if (is_front_page()) {
        echo "<meta property='keywords' content='" .  esc_html(get_bloginfo('title'))  . "'>";
    } else if (is_archive()) {
        echo "<meta property='keywords' content='Archive'>";
    } else if (is_single() || is_page()) {
        echo "<meta property='keywords' content='" .  esc_html(get_the_title())  . "'>";
    } else {
        echo "<meta property='keywords' content='" .  esc_html(get_bloginfo('title'))  . "'>";
    }
}
add_action('wp_head', 'goblog_free_meta_title');
